package person.kalter.midletstructure;

import javax.microedition.lcdui.Display;
import javax.microedition.midlet.MIDlet;

/**
 * @author Kalter
 */

//создаём главнный класс, наследуемый от MIDlet
//и реализуем все абстрактные методы
public class MIDletStructure extends MIDlet{

    public static MIDletStructure midlet; //ссылка на себя
    private final Display display;
    public final Screen splash; //экран "сплэш"
    public final Screen menu; //экран меню
    public final Screen game; //экран игры
    
    public MIDletStructure(){
        
        midlet=this;
        display=Display.getDisplay(this); //получаем ссылку на дисплей
        splash=new Splash();
        menu=new Menu();
        game=new Game();
    }
    
    //установить новый экран
    public void setCanvas(Screen canvas){
        
        display.setCurrent(canvas);
        canvas.start();
    }
    
    //метод, вызываемый при переходе мидлета в активное состояние
    public void startApp(){
        
        //воспроизводим сплэш
        setCanvas(splash);
    }
    
    //метод, вызываемый при переходе в приостановленное состояние
    //например, при входящем телефонном звонке
    public void pauseApp(){
        
        
    }
    
    //метод, вызываемый перез закрытием
    //своего рода "финализатор" или "деструктор"
    public void destroyApp(boolean unconditional){
        
        
    }
}
